=== Code/ML/CMakeLists.txt ===
if(RDK_BIG_ENDIAN)
  message("Skipping build of clustering and cmim libraries on big endian system")
else(RDK_BIG_ENDIAN)
  add_subdirectory(Cluster)
endif(RDK_BIG_ENDIAN)
add_subdirectory(InfoTheory)
add_subdirectory(Data)
