=== debian/changelog ===
rdkit (201503-3) unstable; urgency=medium

  [ Daniel Leidert ]
  * debian/compat: Raised to level 9.
  * debian/control (Build-Depends): Switched to dh-python (closes: #786180).
    (Standards-Version): Bumped to 3.9.6.
    (Depends): Dropped python-numpy and let dh_numpy handle this.
  * debian/rules: Added override for dh_python2 and call dh_numpy.
  * debian/watch: Updated after project moved to Github.
  * debian/patches/641788_fix_syntaxwarning.patch: Added.
    - Fix a syntax issue in sping/PDF/pdfutils.py (closes: #641788).
  * debian/patches/series: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 22 Aug 2015 15:25:01 +0200

rdkit (201503-2) unstable; urgency=medium

  * debian/rules (override_dh_install): Create $(DOCDIR).

 -- Michael Banck <mbanck@debian.org>  Tue, 09 Jun 2015 01:31:58 +0200

rdkit (201503-1) unstable; urgency=medium

  * New upstream release (closes: #785192).
  * debian/control (Description): Updated.
  * debian/control (Build-Depends): Added python-sphinx
  * debian/rules (override_dh_auto_build): New rule, build PDF user
    documentation.
  * debian/control (Build-Depends): Added doxygen and python-epydoc.
  * debian/rdkit-doc.dirs: New file.
  * debian/rules (DOCDIR): New variable.
  * debian/rdkit-doc.install: Only install overview presentation.
  * debian/rules (override_dh_auto_build): Build python and C++ API
    documentation with python-epydoc and doxygen, as well as HTML
    documentation.
  * debian/rules (override_dh_install): Install PDF and HTML documentation.
  * debian/rdkit-doc.doc-base: Reference PDF/HTML documentation and no longer
    the overview PDF.
  * debian/rules (override_dh_auto_clean): Remove files generated while
    building documentation.
  * debian/control (Build-Depends): Added texlive-latex-base,
    texlive-latex-recommended, texlive-latex-extra and
    texlive-fonts-recommended.

 -- Michael Banck <mbanck@debian.org>  Sun, 07 Jun 2015 15:07:00 +0200
