=== debian/watch ===
# See uscan(1) for format

version=3
opts=\
uversionmangle=s#_##g \
https://github.com/rdkit/rdkit/releases .*/archive/Release_([\d_]+)_(?:\d+)\.tar\.gz
