## rdkit 201603.5

=== debian/changelog ===
rdkit (201603.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control (Build-Depends): Added pandoc and 
    texlive-generic-extra. (Closes: #831264)
  * debian/rules (override_dh_auto_configure): Added
    -DRDK_OPTIMIZE_NATIVE=OFF to prevent FTBFS on ppc64el.

 -- Graham Inggs <ginggs@debian.org>  Mon, 07 Nov 2016 14:50:50 +0200

rdkit (201603.5-1) unstable; urgency=medium

  * New upstream release.  New features include:
   - Addition of parsers/writers for sequence notation, FASTA, and basic HELM
   - Improved conformation generation based on experimental torsional
     parameters
   - Much better filtering of generated conformations to ensure they
     match the chirality of the input structure
   - New method for enumerating molecular resonance structures
   - Addition of a molecular FilterCatalog data structure

  [ Daniel Leidert ]
  * debian/compat: Raised to level 9.
  * debian/control (Build-Depends): Switched to dh-python (closes: #786180).
    (Standards-Version): Bumped to 3.9.6.
    (Depends): Dropped python-numpy and let dh_numpy handle this.
  * debian/rules: Added override for dh_python2 and call dh_numpy.
  * debian/watch: Updated after project moved to Github.
  * debian/patches/series: Added.

  [ Michael Banck ]
  * debian/rules (override_dh_auto_clean): No longer remove
    Code/RDGeneral/versions.h, this is shipped upstream now. 
  * debian/rdkit-doc.install: Removed, no longer needed.
  * debian/rules (override_dh_installchangelogs): Update for new ReleaseNotes
    extension.
  * debian/rules (override_dh_auto_clean): Added Code/RDGeneral/versions.cpp
    and auto-generated restructed-text source files.

 -- Michael Banck <mbanck@debian.org>  Sun, 23 Oct 2016 23:07:02 +0200
