=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libboost-system-dev,
                libboost-thread-dev,
                libsqlite3-dev,
+               pandoc,
                python-dev,
                python-epydoc,
                python-imaging,
@@ -22,6 +23,7 @@
                python-pandas,
                python-sphinx,
                texlive-fonts-recommended,
+               texlive-generic-extra,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
